# Gitea.py
Python Wrapper for Gitea API (WIP)  

    # Sample usage.

    from Gitea import Gitea

    '''
        gitea = Gitea()
    '''

    # It will ask you your Gitea instance url and your access token to it and save the config to config/gitea.txt  

    # Current implemented Gitea API endpoints you can call:

    gitea.admin_users_create()  
    gitea.admin_users_list()  
    gitea.notifications_new()  
    gitea.repos_issues_search()  
    gitea.repos_owner_repo_issues()  
    gitea.repos_owner_repo_issues_comments()  

    Some of above methods will need required params that will be shown to you when running them. In ex.:  

    gitea.repos_issues_search()
    *** TypeError: repos_issues_search() missing 1 required positional argument: 'owner'  

    Just pass the param to the object like this:  

    gitea.repos_issues_search("your_gitea_username")

